#!/usr/bin/ruby
#
# server.rb
$VERBOSE = true

require 'sinatra'
require_relative 'person'
require 'mongo'
require 'json/ext'

configure do
  db  = Mongo::Client.new( [ '127.0.0.1:27017' ], :database => 'people' )
  set :mongo_db, db[:team]
end

get "/" do
  people_data = settings.mongo_db.find.to_a
  @people = SearchChar.get_all(people_data)
  erb :index
end

get "/edit_chars/" do
  people_data = settings.mongo_db.find.to_a
  @people = SearchChar.get_all(people_data)
  erb :edit_index
end

post "/update_char/" do
  #params.symbolize_keys
  #"hello #{params}"
  SearchChar.update_char(params)
  people_data = settings.mongo_db.find.to_a
  @people = SearchChar.get_all(people_data)
  erb :index
end
